#
# spec file for package octave-forge-doctest
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  doctest
Name:           octave-forge-%{octpkg}
Version:        0.5.0
Release:        lp150.1.4
Summary:        Octave-Forge documentation tests
License:        GPL-3.0+ and BSD-3-Clause
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  octave-devel
Requires:       octave-cli >= 4.0.0

%description
The Octave-Forge Doctest package finds specially-formatted blocks of example
code within documentation files. It then executes the code and confirms
the output is correct. This can be useful as part of a testing framework
or simply to ensure that documentation stays up-to-date during software development.
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Thu Nov 24 2016 dmitry_r@opensuse.org
- Update to version 0.5.0
  * SKIP_IF and other conditional directives can include small single-line
    blocks of code.
  * Recursion into subdirectories is now the default.
  * In Texinfo mode, skip tests without output by default.
* Sat Jun 11 2016 dmitry_r@opensuse.org
- Update to version 0.4.1
  * Added conditional variants of SKIP and XFAIL directives to control test
    execution based on runtime conditions.
  * Added constants DOCTEST_OCTAVE and DOCTEST_MATLAB that can be used as
    conditions in SKIP_IF etc.
  * Improved handling of example code in TexInfo documentation.
  * Improved folder/directory traversals.
* Tue Jul 14 2015 dmitry_r@opensuse.org
- Initial package, version 0.4.0
